(function($){
	$.fn.msclick = function(master,header,content,visited){	
			$(master).find(header).each(function(index){
				$(this).attr("headerindex",index+"h")
				$(master).find(header).click(function(){
					var headers  = parseInt($(this).attr("headerindex"))
					$(this).addClass(visited)
					$(master).find(header).not($(this)).removeClass(visited)				
					$(master).find(content).eq(headers).stop(true,true).slideDown(0)
					$(master).find(content).not($(content).eq(headers)).slideUp(0)
				})
			});
		}
	$.fn.imgshow=function(photoShow){
		////////////////////////////////////////图片动画
		var div = $(photoShow+" > div");
		var img = $(photoShow+" > div img");
		var imgHeight = parseInt(img.css("width"));
		var imgNums = img.length;
		$(photoShow).append("<ul></ul>");
		for(i=1; i<=imgNums; i++){
		$(photoShow + " > ul").append("<li>" + i + "</li>");
		}
		var ul =  $(photoShow+" ul");
		var li  = $(photoShow+" li");
		li.eq(0).addClass("on");
		div.css({"left" : 0});
		var t = 0;
		var p = true;
			function automation(){
				if(p){
					if(t>=imgNums) t=0;
					li.eq(t).addClass("on");
					li.not(li.eq(t)).removeClass();
					div.stop().animate({left : -t*imgHeight}, "slow");
					t++;
				}
			}
			var aaa = setInterval(automation, 3000);
		li.each(function(i){
			$(this).hover(function(){
				t = i;
				p = false;
				$(this).addClass("on");
				li.not($(this)).removeClass("on");
				div.stop().animate({left : -i*imgHeight}, "slow");
			}, function(){
				p = true;
			})
		})	
	}
	////////////////////////////////图片滚动
	$.fn.extend({
		Scroll:function(opt,callback){
				//参数初始化
				if(!opt) var opt={};
				var _this=this.eq(0).find("ul:first");
				var        lineW=_this.find("li:first").width(), //获取行高
						line=opt.line?parseInt(opt.line,10):parseInt(this.width()/lineW,10), //每次滚动的行数，默认为一屏，即父容器高度
						speed=opt.speed?parseInt(opt.speed,10):500, //卷动速度，数值越大，速度越慢（毫秒）
						timer=opt.timer?parseInt(opt.timer,10):3000; //滚动的时间间隔（毫秒）
				if(line==0) line=1;
				var leftWidth=0-line*lineW;
				//滚动函数
				scrollLeft=function(){
						_this.animate({
								marginLeft:leftWidth
						},speed,function(){
								for(i=1;i<=line;i++){
										_this.find("li:first").appendTo(_this);
								}
								_this.css({marginLeft:0});
						});
				}
				//鼠标事件绑定
				_this.hover(function(){
						clearInterval(timerID);
				},function(){
						timerID=setInterval("scrollLeft()",timer);
				}).mouseout();
		}        
	})
})(jQuery)
$(function(){
	////////////////////////////////菜单
	var delayMenu;
	$(".nav li.menu").hover(function () {
		var el=$(this);
		delayMenu = setTimeout(function(){
					clearTimeout(delayMenu);
					el.children("a").next().stop(true,true).slideDown(400);
					},100);
			},
	  function () {
		  clearTimeout(delayMenu);
		$(this).children("a").next().stop(true,true).slideUp(400);
	  }
	);
	
})
